org.apache.catalina.ha.deploy

## Class WarWatcher.WarFilter

- java.lang.Object
- - org.apache.catalina.ha.deploy.WarWatcher.WarFilter

All Implemented Interfaces:
  FilenameFilter

Enclosing class:
  WarWatcher

    protected static class WarWatcher.WarFilter
    extends Object
    implements FilenameFilter

File name filter for war files

### Constructor Summary

Constructors
`protected` `WarWatcher.WarFilter()`

### Method Summary

Methods
`boolean` `accept(File path, String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WarWatcher.WarFilter

    protected WarWatcher.WarFilter()

### Method Detail

#### accept

    public boolean accept(File path,
                 String name)

Specified by:
  `accept` in interface `FilenameFilter`